Holger's Java API

## com.antelmann.db
Interface ProtocolNote

All Superinterfaces:
  Serializable, Timed

All Known Implementing Classes:
  GAnnotation, GPersonalBlogEntry, ProtocolNoteEntry

    public interface ProtocolNote

extends Serializable, Timed

a protocol note.

Since:
  07.01.2011, 16:38:58
Author:
  Holger Antelmann

Field Summary

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Method Summary
`DBReference` `getDocumentReference()` specifies a reference to the document this protocol note is based on
`String` `getNotes()` specifies notes as a string message

Methods inherited from interface com.antelmann.calendar.Timed
`getTime`

Method Detail

### getDocumentReference

    DBReference getDocumentReference()

  specifies a reference to the document this protocol note is based on

### getNotes

    String getNotes()

  specifies notes as a string message

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads